<?php
$mod = 'admin';

require_once '../includes/common.php';

$codeList = $adminClass->GetStatus();

$title = '等级列表';

require_once './head.php';
?>
	<div class="main-content">
		<div class="main-content-inner">
			<div class="container">
				
				<div class="row">
					<div class="col-12">
						<div class="card">
							<div class="card-body">
								<h4 class="card_title"><?=$title?></h4>
								<div class="single-table">
									<div class="table-responsive">
										<table id="dataTable" class="text-center table table-bordered table-hover table-striped">
											<thead class="bg-light text-capitalize">
											<tr>
												<th>等级级别</th>
												<th>等级名称</th>
												<th>折扣费率</th>
												<th>消费升级金额</th>
												<th>操作</th>
											</tr>
											</thead>
											<tbody>
											<?php foreach ($codeList as $v){ ?>
												<tr>
													<td><?=$v['statusCode']?> 级</td>
													<td><?=$v['statusName']?></td>
													<td><?=$v['statusRate']?> %</td>
													<td><?=$v['statusMoney']?> 元</td>
													<td>
														<a href="/admin/statusinfo.php?id=<?=$v['id']?>"><i class="ti-pencil mr-1 btn btn-success"></i></a>
														<i class="ti-trash btn btn-danger" onclick="del('<?=$v['id']?>')"></i>
													</td>
												</tr>
											<?php } ?>
											</tbody>
										</table>
									</div>
								
								</div>
							</div>
						</div>
					</div>
				</div>
			
			</div>
		</div>
	</div>
<?php require_once './foot.php';?>
<script>
    $(document).ready(function(){
        $('#dataTable').DataTable();
    });
    function del(id) {
        if (confirm('该等级下所有用户将被删除，确定删除?')) {
            $.ajax({
                type:'POST',
                url:'/admin/ajax.php',
                data:{
                    act:'delstatus',
                    id:id
                },
                dataType:'json',
                success:function (data) {
                    if (data.code == 1) {
                        myalert(1, data.msg);
                        setTimeout(function () {
                            location.href = '/admin/statuslist.php';
                        },2000)
                    } else {
                        myalert(0, data.msg);
                    }
                },
                error:function () {
                    myalert(0, '请求错误');
                }
            });
        }
    }
</script>